=== debian/changelog ===
ros2-ament-cmake (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0
  * Make note that python3-nose is deprecated

 -- Timo Röhling <roehling@debian.org>  Sat, 19 Feb 2022 11:46:57 +0100

ros2-ament-cmake (1.2.1-2) unstable; urgency=medium

  * Simplify d/rules

 -- Timo Röhling <roehling@debian.org>  Tue, 18 Jan 2022 13:42:54 +0100

ros2-ament-cmake (1.2.1-1) unstable; urgency=medium

  * New upstream version 1.2.1

 -- Timo Röhling <roehling@debian.org>  Sat, 15 Jan 2022 14:07:54 +0100

ros2-ament-cmake (1.2.0-2) unstable; urgency=medium

  * Switch to dh-ros buildsystem

 -- Timo Röhling <roehling@debian.org>  Mon, 22 Nov 2021 14:59:50 +0100

ros2-ament-cmake (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0

 -- Timo Röhling <roehling@debian.org>  Tue, 02 Nov 2021 15:15:54 +0100

ros2-ament-cmake (1.1.4-2) unstable; urgency=medium

  * Update Vcs-* URLs
  * Simplify Googletest detection

 -- Timo Röhling <roehling@debian.org>  Mon, 11 Oct 2021 21:52:16 +0200

ros2-ament-cmake (1.1.4-1) unstable; urgency=medium

  * Initial release.

 -- Timo Röhling <roehling@debian.org>  Sun, 10 Oct 2021 18:31:49 +0200
