## ros2-ament-cmake 1.5.0

=== debian/changelog ===
ros2-ament-cmake (1.5.0-2) unstable; urgency=medium

  * Support new target export template introduced with CMake 3.24

 -- Timo Röhling <roehling@debian.org>  Fri, 05 Aug 2022 11:45:20 +0200

ros2-ament-cmake (1.5.0-1) unstable; urgency=medium

  [ Timo Röhling ]
  * Bump Standards-Version to 4.6.1

  [ Jochen Sprickerhof ]
  * New upstream version 1.5.0
  * Drop versioned depends
  * Update d/copyright

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 13 Jul 2022 08:05:10 +0200

ros2-ament-cmake (1.4.0-7) unstable; urgency=medium

  * Add autopkgtest suite

 -- Timo Röhling <roehling@debian.org>  Thu, 26 May 2022 16:56:25 +0200

ros2-ament-cmake (1.4.0-6) unstable; urgency=medium

  * Fix import prefix logic to use per-package variable

 -- Timo Röhling <roehling@debian.org>  Thu, 12 May 2022 23:27:48 +0200

ros2-ament-cmake (1.4.0-5) unstable; urgency=medium

  * Fix hardcoded assumptions about CMake config location
  * Do not create environment marker files if package
    environment generation is disabled

 -- Timo Röhling <roehling@debian.org>  Tue, 10 May 2022 21:02:16 +0200

ros2-ament-cmake (1.4.0-4) unstable; urgency=medium

  * Add missing ament-cmake-python dependency on setuptools

 -- Timo Röhling <roehling@debian.org>  Tue, 10 May 2022 00:14:04 +0200

ros2-ament-cmake (1.4.0-3) unstable; urgency=medium

  * Add /usr as implicit AMENT_PREFIX_PATH
  * Document Debian-specific tweaks in README.Debian

 -- Timo Röhling <roehling@debian.org>  Fri, 06 May 2022 15:21:24 +0200

ros2-ament-cmake (1.4.0-2) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Add upstream source

  [ Timo Röhling ]
  * Add override for CMake config destination to ament_package()

 -- Timo Röhling <roehling@debian.org>  Fri, 06 May 2022 12:14:38 +0200

ros2-ament-cmake (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0

 -- Timo Röhling <roehling@debian.org>  Mon, 02 May 2022 10:03:25 +0200

ros2-ament-cmake (1.3.1-2) unstable; urgency=medium

  * Bump dh-ros dependency

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 31 Mar 2022 19:02:27 +0200

ros2-ament-cmake (1.3.1-1) unstable; urgency=medium

  * New upstream version 1.3.1

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 31 Mar 2022 11:20:45 +0200
