=== debian/changelog ===
ros2-ament-cmake (1.5.2-1) unstable; urgency=medium

  * New upstream version 1.5.2

 -- Timo Röhling <roehling@debian.org>  Sat, 05 Nov 2022 12:50:35 +0100

ros2-ament-cmake (1.5.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Timo Röhling ]
  * Increase default test timeout to 600 seconds

 -- Timo Röhling <roehling@debian.org>  Sun, 16 Oct 2022 19:37:43 +0200

ros2-ament-cmake (1.5.1-1) unstable; urgency=medium

  * New upstream version 1.5.1
  * Drop upstreamed patch

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 14 Sep 2022 17:00:17 +0200
