=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
            Jochen Sprickerhof <jspricke@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                cmake,
-               dh-ros (>= 0.4.0),
+               dh-ros,
                dh-sequence-python3,
                libgtest-dev <!nocheck>,
                python3-ament-package,
                python3-catkin-pkg,
                python3-distutils,
                python3-setuptools,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/robotics-team/ros2-ament-cmake
 Vcs-Git: https://salsa.debian.org/robotics-team/ros2-ament-cmake.git
 Rules-Requires-Root: no
@@ -67,6 +67,7 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends},
          ament-cmake-core,
+         python3-setuptools,
 Description: CMake build system for ROS 2 ament package (Python extension)
  The ament build system is the most common way to build packages for ROS 2.
  ament_cmake provides the necessary tooling to build ament packages with
