=== debian/tests/control ===
Tests: build
Depends:
 ament-cmake,
 build-essential,
 cmake,
 debhelper-compat (= 13),
 dh-ros,
Restrictions: allow-stderr
