=== debian/tests/packages/debian/control ===
Source: ament-cmake-autopkgtest-dummy
Section: devel
Priority: optional
Maintainer: Debian Robotics Team <team+robotics@tracker.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ament-cmake,
 cmake,
Standards-Version: 4.6.1
Rules-Requires-Root: no

Package: ament-cmake-autopkgtest-dummy
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Dummy package to test ament-cmake
 This is not a real package and you should never install it.
