## ros2-ament-cmake 2.2.1

=== debian/changelog ===
ros2-ament-cmake (2.2.1-2) unstable; urgency=medium

  * Respect DEB_PYTHON_INSTALL_LAYOUT

 -- Timo Röhling <roehling@debian.org>  Fri, 28 Jul 2023 00:31:35 +0200

ros2-ament-cmake (2.2.1-1) unstable; urgency=medium

  * New upstream version 2.2.1

 -- Timo Röhling <roehling@debian.org>  Thu, 22 Jun 2023 23:05:06 +0200

ros2-ament-cmake (2.2.0-1) unstable; urgency=medium

  * New upstream version 2.2.0
  * Refresh patches
    - Drop upstreamed patch for Debian specific Python install dir
  * Fix .install paths for Python 3 packages
  * Stop shipping ament-cmake-nose (dropped by upstream)

 -- Timo Röhling <roehling@debian.org>  Wed, 14 Jun 2023 00:27:36 +0200

ros2-ament-cmake (1.5.2-2) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Drop unused build dependency

  [ Timo Röhling ]
  * Use Debian-specific Python install dir in ament_cmake_python
  * Bump Standards-Version to 4.6.2
  * Add test package for ament_cmake_python
  * Mark patches as Debian-specific

 -- Timo Röhling <roehling@debian.org>  Wed, 01 Mar 2023 11:55:18 +0100
