=== debian/control ===
--- 
+++ 
@@ -11,9 +11,8 @@
                libgtest-dev <!nocheck>,
                python3-ament-package,
                python3-catkin-pkg,
-               python3-distutils,
                python3-setuptools,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/robotics-team/ros2-ament-cmake
 Vcs-Git: https://salsa.debian.org/robotics-team/ros2-ament-cmake.git
 Rules-Requires-Root: no
@@ -40,7 +39,7 @@
          cmake,
          python3-ament-package,
          python3-catkin-pkg,
-Description: CMake build system for ROS 2 ament package (Core functionality)
+Description: CMake build system for ROS 2 ament packages (Core functionality)
  The ament build system is the most common way to build packages for ROS 2.
  ament_cmake provides the necessary tooling to build ament packages with
  CMake.
@@ -55,7 +54,7 @@
          libgmock-dev,
          libgtest-dev,
          python3-ament-cmake-test,
-Description: CMake build system for ROS 2 ament package (Googletest extension)
+Description: CMake build system for ROS 2 ament packages (Googletest extension)
  The ament build system is the most common way to build packages for ROS 2.
  ament_cmake provides the necessary tooling to build ament packages with
  CMake.
@@ -68,26 +67,12 @@
 Depends: ${misc:Depends},
          ament-cmake-core,
          python3-setuptools,
-Description: CMake build system for ROS 2 ament package (Python extension)
+Description: CMake build system for ROS 2 ament packages (Python extension)
  The ament build system is the most common way to build packages for ROS 2.
  ament_cmake provides the necessary tooling to build ament packages with
  CMake.
  .
  This package adds Python support to ament_cmake.
-
-Package: ament-cmake-nose
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends},
-         ament-cmake-core,
-         python3-ament-cmake-test,
-         python3-nose,
-Description: CMake build system for ROS 2 ament package (Legacy nosetests extension)
- The ament build system is the most common way to build packages for ROS 2.
- ament_cmake provides the necessary tooling to build ament packages with
- CMake.
- .
- This package adds support for the deprecated Python Nosetests to ament_cmake.
 
 Package: ament-cmake-pytest
 Architecture: all
@@ -96,7 +81,7 @@
          ament-cmake-core,
          python3-ament-cmake-test,
          python3-pytest,
-Description: CMake build system for ROS 2 ament package (Pytest extension)
+Description: CMake build system for ROS 2 ament packages (Pytest extension)
  The ament build system is the most common way to build packages for ROS 2.
  ament_cmake provides the necessary tooling to build ament packages with
  CMake.
