## ros2-ament-cmake 2.3.2

=== debian/changelog ===
ros2-ament-cmake (2.3.2-2) unstable; urgency=medium

  * Update patch for DEB_PYTHON_INSTALL_LAYOUT to match upstream version

 -- Timo Röhling <roehling@debian.org>  Thu, 22 Feb 2024 08:33:00 +0100

ros2-ament-cmake (2.3.2-1) unstable; urgency=medium

  * New upstream version 2.3.2
  * Refresh patches (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Tue, 02 Jan 2024 21:16:23 +0100

ros2-ament-cmake (2.3.1-2) unstable; urgency=medium

  * Handle DEB_PYTHON_INSTALL_LAYOUT as colcon does

 -- Timo Röhling <roehling@debian.org>  Sat, 11 Nov 2023 22:44:51 +0100

ros2-ament-cmake (2.3.1-1) unstable; urgency=medium

  * New upstream version 2.3.1

 -- Timo Röhling <roehling@debian.org>  Fri, 10 Nov 2023 22:56:13 +0100

ros2-ament-cmake (2.3.0-1) unstable; urgency=medium

  * New upstream version 2.3.0

 -- Timo Röhling <roehling@debian.org>  Fri, 08 Sep 2023 13:15:17 +0200

ros2-ament-cmake (2.2.2-1) unstable; urgency=medium

  * New upstream version 2.2.2

 -- Timo Röhling <roehling@debian.org>  Sun, 27 Aug 2023 00:19:08 +0200
