## ros2-ament-cmake 2.7.1

=== ament_cmake_libraries/CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,11 @@
   CONFIG_EXTRAS "ament_cmake_libraries-extras.cmake"
 )
 
+include(CTest)
+if(BUILD_TESTING)
+  add_subdirectory(test)
+endif()
+
 install(
   DIRECTORY cmake
   DESTINATION share/${PROJECT_NAME}
