=== debian/changelog ===
ros2-ament-cmake (2.7.1-1) unstable; urgency=medium

  * Update d/watch to latest GitHub recipe
  * New upstream version 2.7.1
  * Refresh patches (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Sun, 06 Oct 2024 23:46:44 +0200

ros2-ament-cmake (2.7.0-1) unstable; urgency=medium

  * New upstream version 2.7.0

 -- Timo Röhling <roehling@debian.org>  Mon, 01 Jul 2024 16:18:26 +0200

ros2-ament-cmake (2.6.1-1) unstable; urgency=medium

  * New upstream version 2.6.1

 -- Timo Röhling <roehling@debian.org>  Thu, 20 Jun 2024 09:16:50 +0200

ros2-ament-cmake (2.6.0-1) unstable; urgency=medium

  * New upstream version 2.6.0
  * Reformat d/control
  * Bump Standards-Version to 4.7.0

 -- Timo Röhling <roehling@debian.org>  Mon, 29 Apr 2024 00:13:40 +0200

ros2-ament-cmake (2.5.0-1) unstable; urgency=medium

  * New upstream version 2.5.0

 -- Timo Röhling <roehling@debian.org>  Fri, 19 Apr 2024 23:53:56 +0200

ros2-ament-cmake (2.4.0-1) unstable; urgency=medium

  * New upstream version 2.4.0
  * Refresh patches (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Tue, 02 Apr 2024 22:43:12 +0200
