=== ament_cmake_auto/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,7 @@
 project(ament_cmake_auto NONE)
 
 find_package(ament_cmake REQUIRED)
+find_package(ament_cmake_gmock REQUIRED)
 find_package(ament_cmake_gtest REQUIRED)
 
 ament_package(
