=== ament_cmake_gen_version_h/CMakeLists.txt ===
--- 
+++ 
@@ -6,9 +6,10 @@
 if(NOT CMAKE_C_STANDARD)
   set(CMAKE_C_STANDARD 11)
 endif()
-# GTest needs it, Default to C++14
+# GTest needs it, Default to C++17
 if(NOT CMAKE_CXX_STANDARD)
-  set(CMAKE_CXX_STANDARD 14)
+  set(CMAKE_CXX_STANDARD 17)
+  set(CMAKE_CXX_STANDARD_REQUIRED ON)
 endif()
 
 include(CTest)
