=== debian/changelog ===
ros2-ament-cmake (2.7.2-2) unstable; urgency=medium

  * Add missing cross build dependency.
    Thanks to Helmut Grohne (Closes: #1103023)
  * Bump Standards-Version to 4.7.2
  * Wrap and sort Debian package files

 -- Timo Röhling <roehling@debian.org>  Sun, 13 Apr 2025 22:30:03 +0200

ros2-ament-cmake (2.7.2-1) unstable; urgency=medium

  * New upstream version 2.7.2

 -- Timo Röhling <roehling@debian.org>  Sat, 23 Nov 2024 23:05:59 +0100
