=== debian/tests/control ===
Tests:
 build,
Depends:
 debhelper-compat (= 13),
 dh-ros,
 ament-cmake,
 build-essential,
 cmake,
Restrictions:
 allow-stderr,
