## ros2-ament-cmake 2.8.4

=== ament_cmake/CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,6 @@
   "ament_cmake_export_definitions"
   "ament_cmake_export_dependencies"
   "ament_cmake_export_include_directories"
-  "ament_cmake_export_interfaces"
   "ament_cmake_export_libraries"
   "ament_cmake_export_link_flags"
   "ament_cmake_export_targets"
