=== debian/changelog ===
ros2-ament-cmake (2.8.4-1) unstable; urgency=medium

  * New upstream version 2.8.4
  * Refresh patches (no functional changes)
  * ament_cmake_export_interfaces no longer exists

 -- Timo Röhling <roehling@debian.org>  Thu, 21 Aug 2025 12:01:32 +0200
