=== debian/tests/packages/debian/changelog ===
ament-cmake-autopkgtest-dummy (0) unstable; urgency=low

  * Dummy package

 -- Timo Röhling <roehling@debian.org>  Mon, 23 May 2022 00:00:00 +0000
