=== debian/control ===
Source: ros2-ament-cmake
Section: devel
Priority: optional
Maintainer: Debian Robotics Team <team+robotics@tracker.debian.org>
Uploaders:
 Timo Röhling <roehling@debian.org>,
 Jochen Sprickerhof <jspricke@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-ros,
 dh-sequence-python3,
 cmake,
 libgtest-dev <!nocheck>,
 libpython3-dev,
 python3-ament-package,
 python3-catkin-pkg,
 python3-setuptools,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/robotics-team/ros2-ament-cmake
Vcs-Git: https://salsa.debian.org/robotics-team/ros2-ament-cmake.git
Rules-Requires-Root: no
Homepage: https://github.com/ament/ament_cmake
Description: CMake build system for ROS 2 ament packages
 The ament build system is the most common way to build packages for ROS 2.
 ament_cmake provides the necessary tooling to build ament packages with
 CMake.

Package: ament-cmake
Architecture: all
Multi-Arch: foreign
Depends:
 ament-cmake-core,
 ament-cmake-python,
 python3-ament-cmake-test,
 ${misc:Depends},
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package installs the most commonly used features of ament_cmake.

Package: ament-cmake-core
Architecture: all
Multi-Arch: foreign
Depends:
 cmake,
 python3-ament-package,
 python3-catkin-pkg,
 ${misc:Depends},
Description: ${source:Synopsis} (Core functionality)
 ${source:Extended-Description}
 .
 This package installs the core functionality of ament_cmake.

Package: ament-cmake-googletest
Architecture: any
Multi-Arch: allowed
Depends:
 ament-cmake-core,
 libgmock-dev,
 libgtest-dev,
 python3-ament-cmake-test,
 ${misc:Depends},
Description: ${source:Synopsis} (Googletest extension)
 ${source:Extended-Description}
 .
 This package adds support for GTest and GMock to ament_cmake.

Package: ament-cmake-pytest
Architecture: all
Multi-Arch: foreign
Depends:
 ament-cmake-core,
 python3-ament-cmake-test,
 python3-pytest,
 ${misc:Depends},
Description: ${source:Synopsis} (Pytest extension)
 ${source:Extended-Description}
 .
 This package adds support for Pytest to ament_cmake.

Package: ament-cmake-python
Architecture: all
Multi-Arch: foreign
Depends:
 ament-cmake-core,
 python3-setuptools,
 ${misc:Depends},
Description: ${source:Synopsis} (Python extension)
 ${source:Extended-Description}
 .
 This package adds Python support to ament_cmake.

Package: python3-ament-cmake-google-benchmark
Section: python
Architecture: any
Multi-Arch: allowed
Depends:
 ament-cmake-core,
 ament-cmake-python,
 libbenchmark-dev,
 ${misc:Depends},
 ${python3:Depends},
Description: Python 3 module for Google Benchmark in ROS 2 ament packages
 ${source:Extended-Description}
 .
 This package adds support for Google Benchmark to ament_cmake.

Package: python3-ament-cmake-test
Section: python
Architecture: all
Multi-Arch: foreign
Depends:
 ament-cmake-core,
 ament-cmake-python,
 ${misc:Depends},
 ${python3:Depends},
Description: Python 3 module for tests in ROS 2 ament packages
 ${source:Extended-Description}
 .
 This package adds support for unit tests to ament_cmake.
