=== debian/tests/packages/debian/rules ===
#!/usr/bin/make -f

export ROS_CONFIGURE_AMENT_CMAKE_ARGS = -DBUILD_SHARED_LIBS=ON

%:
	dh $@ --buildsystem=ros
