## ros2-ament-cmake 2.8.6

=== debian/changelog ===
ros2-ament-cmake (2.8.6-2) unstable; urgency=medium

  * Fix autopkgtest regression due to ament_target_dependencies()
    (Closes: #1129589)

 -- Timo Röhling <roehling@debian.org>  Tue, 03 Mar 2026 18:19:44 +0100

ros2-ament-cmake (2.8.6-1) unstable; urgency=medium

  * New upstream version 2.8.6
  * Refresh patches (no functional changes)
  * Bump Standards-Version to 4.7.3
  * Migrate debian/watch to version 5 format

 -- Timo Röhling <roehling@debian.org>  Mon, 02 Mar 2026 21:12:51 +0100
