=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python3-ament-package,
  python3-catkin-pkg,
  python3-setuptools,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/robotics-team/ros2-ament-cmake
 Vcs-Git: https://salsa.debian.org/robotics-team/ros2-ament-cmake.git
 Rules-Requires-Root: no
